Bug 1798645 - Unpacking bundle in InstallPlan fails
Summary: Unpacking bundle in InstallPlan fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Nick Hale
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-05 17:57 UTC by Nick Hale
Modified: 2020-05-04 11:34 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:34:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1252 None closed Bug 1798645: fix(bundles): execute opm from tooling container 2020-09-07 10:07:21 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:34:29 UTC

Comment 3 Jian Zhang 2020-02-17 08:32:49 UTC
Cluster version is 4.4.0-0.nightly-2020-02-16-221315

mac:~ jianzhang$ oc exec catalog-operator-77bc968899-hzg78 -- olm --version
OLM version: 0.14.2
git commit: 0e4e7e3a4795a2a95f5d33e3365dc75c6d5f8015

1, Create a CatalogSource object to consume this index image: quay.io/olmtest/single-bundle-index:1.0.0
mac:~ jianzhang$ cat cs-index.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: index-test
  namespace: openshift-marketplace
spec:
  sourceType: grpc
  image: quay.io/olmtest/single-bundle-index:1.0.0
  displayName: Jian Operators
  publisher: jian

mac:~ jianzhang$ oc get pods -n openshift-marketplace 
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-84b645f8d5-tbvwp    1/1     Running   0          4h40m
community-operators-84cc6fbf65-5sz9t    1/1     Running   0          4h40m
index-test-x42bx                        1/1     Running   0          64s
marketplace-operator-6bb8c9fbdf-l7mz5   1/1     Running   0          4h40m
qe-app-registry-5f846f6-8fk2z           1/1     Running   0          91m
redhat-marketplace-559986486d-sbq4g     1/1     Running   0          4h40m
redhat-operators-c64b777c-n6plx         1/1     Running   0          4h40m
mac:~ jianzhang$ oc get packagemanifest|grep -i jian
kiali                                        Jian Operators        77s

2, subscribe to this kiali operator

mac:~ jianzhang$ cat sub-kiali-44.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: index-operator
  namespace: openshift-operators
spec:
  channel: stable
  installPlanApproval: Automatic
  name: kiali
  source: index-test
  sourceNamespace: openshift-marketplace

mac:~ jianzhang$ oc get sub -A
NAMESPACE                    NAME                     PACKAGE                  SOURCE            CHANNEL
openshift-logging            cluster-logging          cluster-logging          qe-app-registry   4.4
openshift-operators-redhat   elasticsearch-operator   elasticsearch-operator   qe-app-registry   4.4
openshift-operators          index-operator           kiali                    index-test        stable
mac:~ jianzhang$ oc get ip -n openshift-operators 
NAME            CSV   APPROVAL    APPROVED
install-k94hv         Automatic   true
install-tfbb6         Automatic   true
mac:~ jianzhang$ oc get csv -n openshift-operators 
NAME                                        DISPLAY                  VERSION              REPLACES   PHASE
elasticsearch-operator.4.4.0-202002142031   Elasticsearch Operator   4.4.0-202002142031              Succeeded
kiali-operator.v1.4.2                       Kiali Operator           1.4.2                           Succeeded
mac:~ jianzhang$ oc get pods -n openshift-operators
NAME                             READY   STATUS    RESTARTS   AGE
kiali-operator-5fc4b84f4-qvjjf   2/2     Running   0          102s


3, Check its installplan:
mac:~ jianzhang$ oc get ip -n openshift-operators install-k94hv -o yaml
apiVersion: operators.coreos.com/v1alpha1
kind: InstallPlan
metadata:
  creationTimestamp: "2020-02-17T08:23:09Z"
  generateName: install-
  generation: 1
  name: install-k94hv
  namespace: openshift-operators
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: Subscription
    name: index-operator
    uid: e38d554a-4a79-4433-84b5-beec421969db
  resourceVersion: "155426"
  selfLink: /apis/operators.coreos.com/v1alpha1/namespaces/openshift-operators/installplans/install-k94hv
  uid: 377b97a8-8663-4b42-a3a3-d1f224ee3432
spec:
  approval: Automatic
  approved: true
  clusterServiceVersionNames: []
status:
  catalogSources: []
  conditions:
  - lastTransitionTime: "2020-02-17T08:23:36Z"
    lastUpdateTime: "2020-02-17T08:23:36Z"
    status: "True"
    type: Installed
  phase: Complete
  plan:
  - resolving: kiali-operator.v1.4.2
    resource:
      group: operators.coreos.com
      kind: ClusterServiceVersion
      manifest: |
        {"kind":"ClusterServiceVersion","apiVersion":"operators.coreos.com/v1alpha1","metadata":{"name":"kiali-operator.v1.4.2","namespace":"openshift-operators","creationTimestamp":null,"annotations":{"alm-examples":"[\n  {\n    \"apiVersion\": \"kiali.io/v1alpha1\",\n    \"kind\": \"Kiali\",\n    \"metadata\": {\n      \"name\": \"kiali\"\n    },\n    \"spec\": {\n      \"installation_tag\": \"My Kiali\",\n      \"istio_namespace\": \"istio-system\",\n      
...


The unpack job succeeds and the content of the bundle image is unpacked into an InstallPlan. LGTM, verify it.

Comment 5 errata-xmlrpc 2020-05-04 11:34:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.